From e1b6752c0668e363491e7e1891f80817c1fad2c9 Mon Sep 17 00:00:00 2001
From: Meghan Richardson <mrichard@fedoraproject.org>
Date: Jul 14 2015 15:05:56 +0000
Subject: [PATCH 190/254] stats icons and responsive


---

diff --git a/hubs/widgets/fedmsgstats.py b/hubs/widgets/fedmsgstats.py
index 505d88b..b81a2cd 100644
--- a/hubs/widgets/fedmsgstats.py
+++ b/hubs/widgets/fedmsgstats.py
@@ -13,14 +13,18 @@ config = fedmsg.config.load_config()
 
 chrome = panel()
 template = jinja2.Template("""
-<div class="stats-container">
+<div class="stats-container row">
+  <div class="col-sm-7 col-md-12 col-lg-7">
   <table class="stats-table">
     <tr><th>FedMsgs</th><th>Subscribers</th></tr>
     <tr class="text-info"><td>{{fedmsgs_text}}</td><td class="text-right">{{subscribers_text}}</td></tr>
   </table>
+  </div>
+  <div class="col-sm-5 col-md-12 col-lg-5">
   {% if session['nickname'] != username %}
   <div class="pull-right"><button class="btn btn-info">Subscribe</button></div>
   {% endif %}
+  </div>
 </div>
 """)
 
diff --git a/hubs/widgets/stats.py b/hubs/widgets/stats.py
index 0e4a274..3523e84 100644
--- a/hubs/widgets/stats.py
+++ b/hubs/widgets/stats.py
@@ -23,7 +23,7 @@ template = jinja2.Template("""
   </form></li>
   {% else %}
   <li><form action="{{hub_subscribe_url}}" method="POST">
-      <button class="btn btn-default"><span class="glyphicon glyphicon-ok-sign" aria-hidden="true"></span> Subscribe</button>
+      <button class="btn btn-default"><span class="glyphicon glyphicon-plus" aria-hidden="true"></span> Subscribe</button>
   </form></li>
   {% endif %}
 
@@ -33,7 +33,7 @@ template = jinja2.Template("""
   </form></li>
   {% else %}
   <li><form action="{{hub_star_url}}" method="POST">
-      <button class="btn btn-default"><span class="glyphicon glyphicon-ok-sign" aria-hidden="true"></span> Star Hub</button>
+      <button class="btn btn-default"><span class="glyphicon glyphicon-star" aria-hidden="true"></span> Star Hub</button>
   </form></li>
   {% endif %}
 
@@ -43,7 +43,7 @@ template = jinja2.Template("""
   </form></li>
   {% else %}
   <li><form action="{{hub_join_url}}" method="POST">
-      <button class="btn btn-default"><span class="glyphicon glyphicon-ok-sign" aria-hidden="true"></span> Join Hub</button>
+      <button class="btn btn-default"><span class="glyphicon glyphicon-user" aria-hidden="true"></span> Join Hub</button>
   </form></li>
   {% endif %}
   </ul>

